Index: issm/trunk/src/c/Container/Inputs.cpp
===================================================================
--- issm/trunk/src/c/Container/Inputs.cpp	(revision 10522)
+++ issm/trunk/src/c/Container/Inputs.cpp	(revision 12706)
@@ -4,5 +4,5 @@
  */
 
-/*Headers: {{{1*/
+/*Headers: {{{*/
 #ifdef HAVE_CONFIG_H
 	#include <config.h>
@@ -25,10 +25,10 @@
 
 /*Object constructors and destructor*/
-/*FUNCTION Inputs::Inputs(){{{1*/
+/*FUNCTION Inputs::Inputs(){{{*/
 Inputs::Inputs(){
 	return;
 }
 /*}}}*/
-/*FUNCTION Inputs::~Inputs(){{{1*/
+/*FUNCTION Inputs::~Inputs(){{{*/
 Inputs::~Inputs(){
 	return;
@@ -37,5 +37,5 @@
 
 /*Object management*/
-/*FUNCTION Inputs::GetInputValue(bool* pvalue,int enum-type){{{1*/
+/*FUNCTION Inputs::GetInputValue(bool* pvalue,int enum-type){{{*/
 void Inputs::GetInputValue(bool* pvalue,int enum_type){
 
@@ -57,5 +57,5 @@
 		/*we could not find an input with the correct enum type. No defaults values were provided, 
 		 * error out: */
-		_error_("could not find input with enum type %i (%s)",enum_type,EnumToStringx(enum_type));
+		_error2_("could not find input with enum type " << enum_type << " (" << EnumToStringx(enum_type) << ")");
 	}
 
@@ -65,5 +65,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::GetInputValue(int* pvalue,int enum-type){{{1*/
+/*FUNCTION Inputs::GetInputValue(int* pvalue,int enum-type){{{*/
 void Inputs::GetInputValue(int* pvalue,int enum_type){
 
@@ -85,5 +85,5 @@
 		/*we could not find an input with the correct enum type. No defaults values were provided, 
 		 * error out: */
-		_error_("could not find input with enum type %i (%s)",enum_type,EnumToStringx(enum_type));
+		_error2_("could not find input with enum type " << enum_type << " (" << EnumToStringx(enum_type) << ")");
 	}
 
@@ -93,6 +93,6 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::GetInputValue(double* pvalue,int enum-type){{{1*/
-void Inputs::GetInputValue(double* pvalue,int enum_type){
+/*FUNCTION Inputs::GetInputValue(IssmDouble* pvalue,int enum-type){{{*/
+void Inputs::GetInputValue(IssmDouble* pvalue,int enum_type){
 
 	vector<Object*>::iterator object;
@@ -113,5 +113,5 @@
 		/*we could not find an input with the correct enum type. No defaults values were provided, 
 		 * error out: */
-		_error_("could not find input with enum type %i (%s)",enum_type,EnumToStringx(enum_type));
+		_error2_("could not find input with enum type " << enum_type << " (" << EnumToStringx(enum_type) << ")");
 	}
 
@@ -121,6 +121,6 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::GetInputAverage{{{1*/
-void Inputs::GetInputAverage(double* pvalue,int enum_type){
+/*FUNCTION Inputs::GetInputAverage{{{*/
+void Inputs::GetInputAverage(IssmDouble* pvalue,int enum_type){
 
 	vector<Object*>::iterator object;
@@ -141,5 +141,5 @@
 		/*we could not find an input with the correct enum type. No defaults values were provided, 
 		 * error out: */
-		_error_("could not find input with enum type %i (%s)",enum_type,EnumToStringx(enum_type));
+		_error2_("could not find input with enum type " << enum_type << " (" << EnumToStringx(enum_type) << ")");
 	}
 
@@ -149,5 +149,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::AddInput{{{1*/
+/*FUNCTION Inputs::AddInput{{{*/
 int  Inputs::AddInput(Input* in_input){
 
@@ -175,5 +175,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::ChangeEnum{{{1*/
+/*FUNCTION Inputs::ChangeEnum{{{*/
 void  Inputs::ChangeEnum(int oldenumtype,int newenumtype){
 
@@ -205,6 +205,6 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::ConstrainMin{{{1*/
-void  Inputs::ConstrainMin(int constrain_enum, double minimum){
+/*FUNCTION Inputs::ConstrainMin{{{*/
+void  Inputs::ConstrainMin(int constrain_enum, IssmDouble minimum){
 	   
 	Input* constrain_input=NULL; 
@@ -213,5 +213,5 @@
 
 	/*some checks: */
-	if(!constrain_input) _error_(" input %s could not be found!",EnumToStringx(constrain_enum));
+	if(!constrain_input) _error2_("input " << EnumToStringx(constrain_enum) << " could not be found!");
 
 	/*Apply ContrainMin: */
@@ -219,9 +219,9 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::InfinityNorm{{{1*/
-double Inputs::InfinityNorm(int enumtype){
-
-	/*Output*/
-	double norm;
+/*FUNCTION Inputs::InfinityNorm{{{*/
+IssmDouble Inputs::InfinityNorm(int enumtype){
+
+	/*Output*/
+	IssmDouble norm;
 
 	/*Get input*/
@@ -240,9 +240,9 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::Max{{{1*/
-double Inputs::Max(int enumtype){
-
-	/*Output*/
-	double max;
+/*FUNCTION Inputs::Max{{{*/
+IssmDouble Inputs::Max(int enumtype){
+
+	/*Output*/
+	IssmDouble max;
 
 	/*Get input*/
@@ -254,5 +254,5 @@
 	}
 	else{
-		_error_("Input %s not found",EnumToStringx(enumtype));
+		_error2_("Input " << EnumToStringx(enumtype) << " not found");
 	}
 
@@ -261,9 +261,9 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::MaxAbs{{{1*/
-double Inputs::MaxAbs(int enumtype){
-
-	/*Output*/
-	double max;
+/*FUNCTION Inputs::MaxAbs{{{*/
+IssmDouble Inputs::MaxAbs(int enumtype){
+
+	/*Output*/
+	IssmDouble max;
 
 	/*Get input*/
@@ -275,5 +275,5 @@
 	}
 	else{
-		_error_("Input %s not found",EnumToStringx(enumtype));
+		_error2_("Input " << EnumToStringx(enumtype) << " not found");
 	}
 
@@ -282,9 +282,9 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::Min{{{1*/
-double Inputs::Min(int enumtype){
-
-	/*Output*/
-	double min;
+/*FUNCTION Inputs::Min{{{*/
+IssmDouble Inputs::Min(int enumtype){
+
+	/*Output*/
+	IssmDouble min;
 
 	/*Get input*/
@@ -296,5 +296,5 @@
 	}
 	else{
-		_error_("Input %s not found",EnumToStringx(enumtype));
+		_error2_("Input " << EnumToStringx(enumtype) << " not found");
 	}
 
@@ -303,9 +303,9 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::MinAbs{{{1*/
-double Inputs::MinAbs(int enumtype){
-
-	/*Output*/
-	double min;
+/*FUNCTION Inputs::MinAbs{{{*/
+IssmDouble Inputs::MinAbs(int enumtype){
+
+	/*Output*/
+	IssmDouble min;
 
 	/*Get input*/
@@ -317,5 +317,5 @@
 	}
 	else{
-		_error_("Input %s not found",EnumToStringx(enumtype));
+		_error2_("Input " << EnumToStringx(enumtype) << " not found");
 	}
 
@@ -324,5 +324,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::GetInput{{{1*/
+/*FUNCTION Inputs::GetInput{{{*/
 Input* Inputs::GetInput(int enum_name){
 
@@ -341,5 +341,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::DeleteInput{{{1*/
+/*FUNCTION Inputs::DeleteInput{{{*/
 int  Inputs::DeleteInput(int enum_type){
 
@@ -361,5 +361,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::DuplicateInput{{{1*/
+/*FUNCTION Inputs::DuplicateInput{{{*/
 void  Inputs::DuplicateInput(int original_enum,int new_enum){
 
@@ -369,5 +369,5 @@
 	/*Make a copy of the original input: */
 	original=(Input*)this->GetInput(original_enum);
-	if(!original)_error_("could not find input with enum: %s",EnumToStringx(original_enum)); 
+	if(!original)_error2_("could not find input with enum: " << EnumToStringx(original_enum)); 
 	copy=(Input*)original->copy();
 
@@ -379,5 +379,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::SpawnTriaInputs{{{1*/
+/*FUNCTION Inputs::SpawnTriaInputs{{{*/
 Inputs* Inputs::SpawnTriaInputs(int* indices){
 
@@ -405,6 +405,6 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::AXPY{{{1*/
-void  Inputs::AXPY(int MeshYEnum, double scalar, int MeshXEnum){
+/*FUNCTION Inputs::AXPY{{{*/
+void  Inputs::AXPY(int MeshYEnum, IssmDouble scalar, int MeshXEnum){
 	   
 	Input* xinput=NULL;
@@ -416,6 +416,6 @@
 
 	/*some checks: */
-	if(!xinput) _error_(" input %s could not be found!",EnumToStringx(MeshXEnum));
-	if(!yinput) _error_(" input %s could not be found!",EnumToStringx(MeshYEnum));
+	if(!xinput) _error2_("input " << EnumToStringx(MeshXEnum) << " could not be found!");
+	if(!yinput) _error2_("input " << EnumToStringx(MeshYEnum) << " could not be found!");
 
 	/*Apply AXPY: */
@@ -423,5 +423,5 @@
 }
 /*}}}*/
-/*FUNCTION Inputs::Configure{{{1*/
+/*FUNCTION Inputs::Configure{{{*/
 void Inputs::Configure(Parameters* parameters){
 